## email-reminder 1.0.1

=== Makefile ===
NAME = email-reminder
PY_BINNAME = email-reminder-editor
PY_FILES = $(PY_BINNAME) EmailReminder/*.py
GO_BINARIES = collect-reminders send-reminders
VERSION := $(shell grep "VERSION =" $(PY_BINNAME) | grep -o "'[0-9]*\.[0-9]*\.[0-9]*'" | sed "s/'//g")
APPNAME = $(NAME)-$(VERSION)

# Standard installation directories
DESTDIR ?=
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
DATADIR ?= $(PREFIX)/share
MANDIR ?= $(DATADIR)/man
SYSCONFDIR ?= /etc

GO ?= go
GOFLAGS ?=
GO_LDFLAGS ?=


.PHONY: build clean install test lint \
        pyflakes pydocstyle pycodestyle codespell pylint ruff isort bandit \
        release commitsign

build: $(GO_BINARIES)

internal/config/version: $(PY_BINNAME)
	echo -n "$(VERSION)" > $@

collect-reminders: internal/config/version
	$(GO) build $(GOFLAGS) -ldflags "$(GO_LDFLAGS)" -o $@ ./cmd/collect-reminders

send-reminders: internal/config/version
	$(GO) build $(GOFLAGS) -ldflags "$(GO_LDFLAGS)" -o $@ ./cmd/send-reminders

clean:
	rm -f internal/config/version
	rm -f $(GO_BINARIES)
	rm -f $(APPNAME).tar.gz
	rm -f $(APPNAME).tar.gz.asc
	find -name "*.pyc" -delete

install: build
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SBINDIR)
	install -d $(DESTDIR)$(DATADIR)/applications
	install -d $(DESTDIR)$(DATADIR)/metainfo
	install -d $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(MANDIR)/man8
	install -m 0755 send-reminders $(DESTDIR)$(BINDIR)/
	install -m 0755 $(PY_BINNAME) $(DESTDIR)$(BINDIR)/
	install -m 0755 collect-reminders $(DESTDIR)$(SBINDIR)/
	install -m 0644 $(PY_BINNAME).1 $(DESTDIR)$(MANDIR)/man1/
	install -m 0644 send-reminders.1 $(DESTDIR)$(MANDIR)/man1/
	install -m 0644 collect-reminders.8 $(DESTDIR)$(MANDIR)/man8/
	install -m 0644 $(NAME).desktop $(DESTDIR)$(DATADIR)/applications/
	install -m 0644 net.launchpad.email_reminder.metainfo.xml $(DESTDIR)$(DATADIR)/metainfo/

test: internal/config/version
	$(GO) test $(GOFLAGS) ./...

pyflakes:
	@echo Running pyflakes...
	@pyflakes3 $(PY_FILES)

pydocstyle:
	@echo Running pydocstyle...
	@pydocstyle

pycodestyle:
	@echo Running pycodestyle...
	@pycodestyle $(PY_FILES)

codespell:
	@echo Running codespell...
	@codespell $(PY_FILES)

pylint:
	@echo Running pylint...
	@pylint $(PY_FILES)

ruff:
	@echo Running ruff...
	@ruff check $(PY_FILES)

isort:
	@echo Running isort...
	@isort --check-only --diff $(PY_FILES)

bandit:
	@echo Running bandit...
	@bandit --quiet -r .

lint: pycodestyle pydocstyle pyflakes pylint ruff isort codespell bandit
	@echo Validating appstream data...
	@appstreamcli validate --strict net.launchpad.email_reminder.metainfo.xml

$(APPNAME).tar.gz:
	git archive --format=tar.gz --prefix=$(APPNAME)/ -o $@ HEAD

release: $(APPNAME).tar.gz
	gpg -a --detach-sign $<

commitsign:
	git commit -a -m "Bump version and changelog for release"
	git tag -s $(APPNAME) -m "$(VERSION) release"

## email-reminder 0.7.6

=== debian/changelog ===
email-reminder (0.7.6-5) unstable; urgency=low

  * Switch to a minimal debian/rules file
  * Bump debhelper compatibility to 9
  * Bump Standards-Version up to 3.9.3

 -- Francois Marier <francois@debian.org>  Mon, 28 May 2012 22:56:32 +1200

email-reminder (0.7.6-4) unstable; urgency=low

  * Remove unnecessary versioned perl dependency
  * Add Danish debconf translation (closes: #658298)
  * Bump Standars-Version up to 3.9.2
  * Add empty build-arch and build-indep targets in debian/rules

 -- Francois Marier <francois@debian.org>  Sat, 04 Feb 2012 19:47:34 +1300

email-reminder (0.7.6-3) unstable; urgency=low

  * Bump Standars-Version up to 3.9.1
  * Bump debhelper compatibility to 8

 -- Francois Marier <francois@debian.org>  Wed, 22 Dec 2010 15:56:45 +1300

email-reminder (0.7.6-2) unstable; urgency=low

  * Fix watch file due to change on the Google Code site (see #581622)
  * Replace makemaker PREFIX with DESTDIR (lintian warning)
  * Switch to 3.0 (quilt) source package format

 -- Francois Marier <francois@debian.org>  Fri, 21 May 2010 12:43:32 +1200

email-reminder (0.7.6-1) unstable; urgency=low

  * New upstream release
    - fix for yearless events

  * Bump Standards-Version to 3.8.4
  * Explicitly set -e in debian/config

 -- Francois Marier <francois@debian.org>  Sun, 31 Jan 2010 19:25:49 +1300

email-reminder (0.7.5-3) unstable; urgency=low

  * Update Swedish debconf translation (closes: #522983)
  * Bump Standards-Version to 3.8.2
  * Bump debhelper compatibility to 7
  * debian/rules: use dh_prep and remove deprecated dh_desktop
  * debian/post*: use "true" instead of "/bin/true" (lintian warning)

 -- Francois Marier <francois@debian.org>  Sun, 21 Jun 2009 22:44:31 +1200

email-reminder (0.7.5-2) unstable; urgency=high

  * Fix config parsing to match the output of debconf. This fixes a
    problem introduced in 0.7.5-1 where SSL would be turned on if the
    "smtp_ssl" config variable was set to "false".
  * Urgency high because it breaks most emails sent out.

 -- Francois Marier <francois@debian.org>  Sun, 15 Mar 2009 11:46:29 +1300

email-reminder (0.7.5-1) unstable; urgency=medium

  * New Upstream Version
    - fix broken Anniversary events (hence the urgency)

  * Update upstream email address and copyright year
  * Add misc:Depends to the dependencies (lintian warning)
  * Add a debconf question for SMTP SSL support (closes: #516556)

  * New Indonesian debconf translation
  * Updated Basque debconf translation (closes: #518290)
  * Updated Czech debconf translation (closes: #517539)
  * Updated Finnish debconf translation (closes: #518191)
  * Updated French debconf translation (closes: #518316)
  * Updated Galician debconf translation (closes: #517511)
  * Updated German debconf translation (closes: #517275)
  * Updated Italian debconf translation (closes: #517649)
  * Updated Portugese debconf translation (closes: #517531)
  * Updated Russian debconf translation (closes: #518618)
  * Updated Spanish debconf translation (closes: #518638)
  * Updated Vietnamese debconf translation (closes: #517643)

 -- Francois Marier <francois@debian.org>  Wed, 11 Mar 2009 14:10:12 +1300

email-reminder (0.7.4-2) unstable; urgency=low

  * Add libnet-smtp-ssl-perl to Recommends (closes: #507348)

 -- Francois Marier <francois@debian.org>  Mon, 01 Dec 2008 09:10:16 +1300

email-reminder (0.7.4-1) unstable; urgency=low

  * New Upstream Version
  * Don't try to install upstream TODO since it's not there anymore

 -- Francois Marier <francois@debian.org>  Fri, 21 Nov 2008 09:12:12 +1300

email-reminder (0.7.3-4) unstable; urgency=low

  * Switch packaging repo to git
  * Bump Standards-Version to 3.8.0 (no changes)
  * New Spanish debconf translation, thanks to Fran (closes: #500160)
  * New Italian debconf translation, thanks to Vince (closes: #504158)

 -- Francois Marier <francois@debian.org>  Mon, 03 Nov 2008 22:21:40 +1300

email-reminder (0.7.3-3) unstable; urgency=low

  * Debconf translations:
    - New Russian translation, thanks to Yuri Kozlov (closes: #476914)
    - New Basque translation, thanks to Piarres Beobide (closes: #479527)
    - New Czech translation, thanks to Miroslav Kure (closes: #480186)
    - New Swedish translation, thanks to Martin Bagge (closes: #483711)

 -- Francois Marier <francois@debian.org>  Sat, 31 May 2008 11:46:29 +1200

email-reminder (0.7.3-2) unstable; urgency=low

  * Update upstream URL in email footers

 -- Francois Marier <francois@debian.org>  Tue, 15 Apr 2008 09:30:24 +1200

email-reminder (0.7.3-1) unstable; urgency=low

  * New upstream release (closes: #475644)

 -- Francois Marier <francois@debian.org>  Sun, 13 Apr 2008 17:53:50 +1200

email-reminder (0.7.2-3) unstable; urgency=low

  * debconf templates:
    - Revised English template, thanks to Justin and Christian
    - New Chinese translation, thanks to Niels He (closes: #473506)
    - New Finnish translation, thanks to Esko Arajärvi (closes: #473443)
    - New Vietnamese translation, thanks to Clytie Siddall (closes: #473391)
    - New Galician translation, thanks to Jacobo Tarrio (closes: #473503)
    - New Georgian translation, thanks to Aiet Kolkhi (closes: #473846)
    - Updated French translation, thanks to Christian Perrier
    - Updated German translation from Helge (closes: #473389)
    - Updated Portugese translation from Américo (closes: #473635)
  * Update the download URL and homepage
  * Bump debhelper compatibility and dependency to 6

 -- Francois Marier <francois@debian.org>  Mon, 07 Apr 2008 00:00:32 +1200

email-reminder (0.7.2-2) unstable; urgency=low

  * Check for the existence of empty perl directory before removing it
    since the bug will be fixed with Perl 5.10 (closes: #468199)

 -- Francois Marier <francois@debian.org>  Thu, 28 Feb 2008 09:29:55 +1300

email-reminder (0.7.2-1) unstable; urgency=high

  * New upstream release
    - Fixes corruption of the .email-reminders file in the presence of accented


=== debian/control ===
Source: email-reminder
Section: mail
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 9), po-debconf
Standards-Version: 3.9.3
Homepage: http://www.email-reminder.org.nz
Vcs-git: git://git.debian.org/git/collab-maint/email-reminder.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/email-reminder.git;a=summary

Package: email-reminder
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libxml-dom-perl, libgtk2-perl, libdate-manip-perl, libemail-valid-perl, cron, adduser, debconf
Recommends: anacron, exim4 | mail-transport-agent, libemail-mime-encodings-perl, libauthen-sasl-perl, libnet-smtp-ssl-perl
Description: Send event reminders by email
 Email-reminder allows users to define events that they want to be reminded of
 by email.  Possible events include birthdays, anniversaries and yearly events.
 Reminders can be sent on the day of the event and/or a few days beforehand.
 .
 This package includes the cron job that checks for events and send reminders
 once a day, and a simple GUI allowing users to edit the reminders they want to
 receive.
 .
 Make sure you install the anacron package if your computer is turned off at
 night or the reminders will never get sent.

=== debian/watch ===
version=3
opts=downloadurlmangle=s#.*(email-reminder-([\d.]+)\.tar\.gz).*#http://email-reminder.googlecode.com/files/$1#,filenamemangle=s#.*(email-reminder-([\d.]+)\.tar\.gz).*#$1# \
    http://code.google.com/p/email-reminder/downloads/list ^.*detail\?name=email-reminder-([\d.]+)\.tar\.gz.*

## email-reminder 0.7.7

=== debian/changelog ===
email-reminder (0.7.7-2) unstable; urgency=medium

  * Force a shell for the daily cronjob's send-reminders su call

 -- Francois Marier <francois@debian.org>  Tue, 28 Jan 2014 10:42:36 +1300

email-reminder (0.7.7-1) unstable; urgency=medium

  * New upstream release
  * Add Japanese translation (closes: #692207)

  * debian/postinst: give the system user a shell of /bin/false
  * debian/postrm: avoid removing the system user when upgrading

  * Bump Standards-Version up to 3.9.5
  * Update debian/copyright and make it machine-readable
  * Use canonical VCS URLs in debian/control
  * Update watch file and add upstream's GPG signing key

 -- Francois Marier <francois@debian.org>  Mon, 27 Jan 2014 02:46:25 +1300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.email-reminder.org.nz
-Vcs-git: git://git.debian.org/git/collab-maint/email-reminder.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/email-reminder.git;a=summary
+Vcs-git: git://anonscm.debian.org/collab-maint/email-reminder.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/email-reminder.git;a=summary
 
 Package: email-reminder
 Architecture: all

## email-reminder 0.7.8

=== debian/changelog ===
email-reminder (0.7.8-5) unstable; urgency=medium

  * Bump copyright year in debian/copyright
  * Bump Standards-Version to 4.3.0
  * Bump debhelper compat to 12
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.
  * Bump copyright year in debian/copyright

 -- Francois Marier <francois@debian.org>  Fri, 01 Mar 2019 21:55:36 -0800

email-reminder (0.7.8-4) unstable; urgency=medium

  * Update VCS URLs for salsa
  * Replace exim4 with default-mta in dependencies
  * Move debian/copyright URL to HTTPS (lintian warning)
  * Remove trailing whitespace in debian/changelog (lintian warning)
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.4

 -- Francois Marier <francois@debian.org>  Sun, 06 May 2018 14:17:03 -0700

email-reminder (0.7.8-3) unstable; urgency=medium

  * Run wrap-and-sort
  * Add Brazillian translation (closes: #829338)
  * Move VCS URLs to HTTPS
  * Remove menu file in favor of desktop file
  * Bump Standards-Version up to 3.9.8

 -- Francois Marier <francois@debian.org>  Sun, 03 Jul 2016 15:03:36 -0700

email-reminder (0.7.8-2) unstable; urgency=medium

  * Add Dutch debconf translation (closes: #767237)

 -- Francois Marier <francois@debian.org>  Thu, 30 Oct 2014 10:01:40 +1300

email-reminder (0.7.8-1) unstable; urgency=medium

  * New upstream release (closes: #629631, #746617)

 -- Francois Marier <francois@debian.org>  Thu, 09 Oct 2014 23:46:59 +1300

email-reminder (0.7.7-4) unstable; urgency=medium

  * Update homepage in debian/control
  * Bump Standards-Version to 3.9.6

 -- Francois Marier <francois@debian.org>  Thu, 18 Sep 2014 22:50:12 +1200

=== debian/control ===
Source: email-reminder
Section: mail
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 12), po-debconf
Standards-Version: 4.3.0
Homepage: https://launchpad.net/email-reminder
Vcs-git: https://salsa.debian.org/debian/email-reminder.git
Vcs-Browser: https://salsa.debian.org/debian/email-reminder

Package: email-reminder
Architecture: all
Depends: adduser,
         cron,
         debconf,
         libdate-manip-perl,
         libemail-valid-perl,
         libgtk2-perl,
         libxml-dom-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: anacron,
            default-mta | mail-transport-agent,
            libauthen-sasl-perl,
            libemail-mime-encodings-perl,
            libnet-smtp-ssl-perl
Description: Send event reminders by email
 Email-reminder allows users to define events that they want to be reminded of
 by email.  Possible events include birthdays, anniversaries and yearly events.
 Reminders can be sent on the day of the event and/or a few days beforehand.
 .
 This package includes the cron job that checks for events and send reminders
 once a day, and a simple GUI allowing users to edit the reminders they want to
 receive.
 .
 Make sure you install the anacron package if your computer is turned off at
 night or the reminders will never get sent.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	pod2man $(CURDIR)/collect-reminders > $(CURDIR)/collect-reminders.1
	pod2man $(CURDIR)/send-reminders > $(CURDIR)/send-reminders.1
	pod2man $(CURDIR)/email-reminder-editor > $(CURDIR)/email-reminder-editor.1

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/email-reminder/usr/bin/collect-reminders $(CURDIR)/debian/email-reminder/usr/sbin/

override_dh_auto_test:

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://launchpad.net/email-reminder/+download https://launchpad.net/email-reminder/trunk/.*/\+download/email-reminder-(.*)\.tar\.gz

## email-reminder 0.8.1

=== debian/changelog ===
email-reminder (0.8.1-3) unstable; urgency=medium

  * Add missing .desktop file (closes: #986744).

 -- Francois Marier <francois@debian.org>  Sat, 10 Apr 2021 19:26:37 -0700

email-reminder (0.8.1-2) unstable; urgency=medium

  * Bump Standards-Version up to 4.5.1.
  * Bump debian/watch up to version 4.
  * Add upstream metadata file.

 -- Francois Marier <francois@debian.org>  Mon, 18 Jan 2021 22:01:41 -0800

email-reminder (0.8.1-1) unstable; urgency=high

  * New upstream release:
    - fix for broken handling of some user email addresses in GUI
  * Add logcheck rule to hide normal su messages due to cronjob.

 -- Francois Marier <francois@debian.org>  Sat, 19 Sep 2020 11:32:50 -0700

email-reminder (0.8.0-1) unstable; urgency=medium

  * New upstream version
    - drop debian/patches/remove-editor.patch (applied upstream)
  * Add Python dependencies to debian/control.
  * Build with Python 3 in debian/rules.
  * Convert debian/install to debian/manpages.

 -- Francois Marier <francois@debian.org>  Tue, 08 Sep 2020 23:18:36 -0700

email-reminder (0.7.8-8) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Bump debhelper-compat to 13.
  * Run wrap-and-sort.
  * Fix case of Vcs-Git field in debian/control.

 -- Francois Marier <francois@debian.org>  Fri, 21 Aug 2020 22:04:12 -0700

email-reminder (0.7.8-7) unstable; urgency=medium

  * Patch send-reminders to work without UI.

 -- Francois Marier <francois@debian.org>  Sun, 13 Oct 2019 10:20:07 -0700

email-reminder (0.7.8-6) unstable; urgency=medium

  * Remove GTK+ editor (closes: #912879).
  * Bump Standards-Version to 4.4.1.
  * Set "Rules-Requires-Root: no" in debian/control.
  * Move collect-reminders manpage to section 8 (lintian warning).

 -- Francois Marier <francois@debian.org>  Sat, 12 Oct 2019 19:54:23 -0700

=== debian/control ===
Source: email-reminder
Section: mail
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 po-debconf,
 python3-all,
Standards-Version: 4.5.1
Homepage: https://launchpad.net/email-reminder
Vcs-Git: https://salsa.debian.org/debian/email-reminder.git
Vcs-Browser: https://salsa.debian.org/debian/email-reminder
Rules-Requires-Root: no

Package: email-reminder
Architecture: all
Depends:
 adduser,
 cron,
 debconf,
 libdate-manip-perl,
 libemail-valid-perl,
 libxml-dom-perl,
 python3-defusedxml,
 python3-pyside2.qtcore,
 python3-pyside2.qtgui,
 python3-pyside2.qtwidgets,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
Recommends:
 anacron,
 default-mta | mail-transport-agent,
 libauthen-sasl-perl,
 libemail-mime-encodings-perl,
 libnet-smtp-ssl-perl,
Description: Send event reminders by email
 Email-reminder allows users to define events that they want to be reminded of
 by email.  Possible events include birthdays, anniversaries and yearly events.
 Reminders can be sent on the day of the event and/or a few days beforehand.
 .
 This package includes the cron job that checks for events and send reminders
 once a daily.
 .
 Make sure you install the anacron package if your computer is turned off at
 night or the reminders will never get sent.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build
	pod2man --section=8 $(CURDIR)/collect-reminders > $(CURDIR)/collect-reminders.8
	pod2man $(CURDIR)/send-reminders > $(CURDIR)/send-reminders.1

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/email-reminder/usr/bin/collect-reminders $(CURDIR)/debian/email-reminder/usr/sbin/
	mv $(CURDIR)/debian/email-reminder/usr/share/perl5/EmailReminder/*.py $(CURDIR)/debian/email-reminder/usr/lib/python3/dist-packages/EmailReminder/
	rm -f $(CURDIR)/debian/email-reminder/usr/share/man/man1/collect-reminders.1p

override_dh_auto_test:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://launchpad.net/email-reminder/+download https://launchpad.net/email-reminder/trunk/.*/\+download/email-reminder-(.*)\.tar\.gz

## email-reminder 0.8.2

=== debian/changelog ===
email-reminder (0.8.2-2) unstable; urgency=medium

  * Bump Standards-Version up to 4.6.2.
  * Bump copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Thu, 26 Jan 2023 20:49:25 -0800

email-reminder (0.8.2-1) unstable; urgency=medium

  * New upstream release (drop all patches)
  * Bump Standards-Version up to 4.6.1.
  * Bump copyright years in debian/copyright.

 -- Francois Marier <francois@debian.org>  Mon, 05 Dec 2022 00:23:09 -0800

email-reminder (0.8.1-4) unstable; urgency=medium

  * Fix preferences when EMAIL envvar is unset (LP: #1983060).

 -- Francois Marier <francois@debian.org>  Thu, 28 Jul 2022 21:32:59 -0700

## email-reminder 0.8.3

=== debian/changelog ===
email-reminder (0.8.3-6) unstable; urgency=medium

  * Rename one of the systemd service files so that it's handled by
    dh_installsystemd automatically.

 -- Francois Marier <francois@debian.org>  Tue, 28 Oct 2025 14:52:19 -0700

email-reminder (0.8.3-5) unstable; urgency=medium

  * Be explicit in debian/postinst about root access to system-wide config
  * Stop shipping the example system-wide config since it's not critical
    and modifying it would mess with the package's debsums.
  * Fix config file handling to preserve any user customizations correctly
  * Harden the two systemd service files some more. They are now both
    considered "OK" by `systemd-analyze security`.
  * Switch from addusers to systemd sysusers
  * Prevent the timer from running automatically at installation time
  * Remove logcheck rule no longer relevant with systemd timers

 -- Francois Marier <francois@debian.org>  Sun, 26 Oct 2025 12:29:12 -0700

email-reminder (0.8.3-4) unstable; urgency=medium

  * Fix ownership of /etc/email-reminder.conf and /var/spool/email-reminder
  * Install missing systemd unit files via debian/install
  * Fix group name in email-reminder-send.service
  * Harden the two systemd service files
  * Upgrade debian/watch to version 5

 -- Francois Marier <francois@debian.org>  Sat, 25 Oct 2025 20:48:37 -0700

email-reminder (0.8.3-3) unstable; urgency=medium

  * Convert cronjob to a systemd timer
  * Ship the upstream /etc/email-reminder.conf modified with debconf
  * Add appstream metadata license to debian/copyright
  * Add debian/salsa-ci.yml
  * Remove redundant `Rules-Requires-Root: no` in debian/control

 -- Francois Marier <francois@debian.org>  Fri, 24 Oct 2025 21:16:10 -0700

email-reminder (0.8.3-2) unstable; urgency=high

  * Work-around dh_python3 bug (closes: #1104369)
  * Bump copyright year in debian/copyright
  * Bump Standards-Version up to 4.7.2
  * Add debian/gbp.conf to enable pristine-tar explicitly

 -- Francois Marier <francois@debian.org>  Sat, 03 May 2025 20:45:03 -0700

email-reminder (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * Install upstream AppStream metadata.
  * Bump copyright year in debian/copyright.
  * Add generated manpages to debian/clean (closes: #1044245).

 -- Francois Marier <francois@debian.org>  Fri, 08 Sep 2023 23:41:28 -0700

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,13 @@
 	mv $(CURDIR)/debian/email-reminder/usr/bin/collect-reminders $(CURDIR)/debian/email-reminder/usr/sbin/
 	mv $(CURDIR)/debian/email-reminder/usr/share/perl5/EmailReminder/*.py $(CURDIR)/debian/email-reminder/usr/lib/python3/dist-packages/EmailReminder/
 	rm -f $(CURDIR)/debian/email-reminder/usr/share/man/man1/collect-reminders.1p
+	chmod u+w $(CURDIR)/debian/email-reminder/usr/bin/* $(CURDIR)/debian/email-reminder/usr/sbin/*
 
 override_dh_auto_test:
+
+override_dh_installdeb:
+	dh_installsysusers
+	dh_installdeb
+
+override_dh_installsystemd:
+	dh_installsystemd --no-start

=== debian/watch ===
Version: 5

Source: https://launchpad.net/email-reminder/+download
Matching-Pattern: https://launchpad.net/email-reminder/trunk/.*/\+download/email-reminder-(.*)\.tar\.gz
Pgpsigurlmangle: s/$/.asc/

## email-reminder 1.0.1

=== debian/changelog ===
email-reminder (1.0.1-3) unstable; urgency=medium

  * Re-run wrap-and-sort -ast
  * Set go import-path to fix autopkgtest

 -- Francois Marier <francois@debian.org>  Sun, 28 Dec 2025 16:18:58 -0800

email-reminder (1.0.1-2) unstable; urgency=medium

  * Ensure the systemd timer starts at installation time or it will not
    run any of the services until the machine is restarted
  * Enable all GCC hardening options
  * Cleanup formating of debian/rules and debian/watch

 -- Francois Marier <francois@debian.org>  Sat, 27 Dec 2025 13:22:38 -0800

email-reminder (1.0.1-1) unstable; urgency=medium

  * New upstream version
    - remove all Perl dependencies
    - adjust debian/rules, manpages and install for Go binaries
  * Move network dependency to the right systemd service

 -- Francois Marier <francois@debian.org>  Mon, 22 Dec 2025 16:23:52 -0800

=== debian/control ===
Source: email-reminder
Section: mail
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 dh-python,
 golang-any,
 po-debconf,
 python3-all,
Standards-Version: 4.7.2
Homepage: https://launchpad.net/email-reminder
Vcs-Git: https://salsa.debian.org/debian/email-reminder.git
Vcs-Browser: https://salsa.debian.org/debian/email-reminder
XS-Go-Import-Path: launchpad.net/email-reminder

Package: email-reminder
Architecture: any
Static-Built-Using:
 ${misc:Static-Built-Using},
Depends:
 adduser,
 debconf,
 python3-defusedxml,
 python3-pyside2.qtcore,
 python3-pyside2.qtgui,
 python3-pyside2.qtwidgets,
 systemd,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 default-mta | mail-transport-agent,
Built-Using:
 ${misc:Built-Using},
Description: Send event reminders by email
 Email-reminder allows users to define events that they want to be reminded of
 by email.  Possible events include birthdays, anniversaries and yearly events.
 Reminders can be sent on the day of the event and/or a few days beforehand.
 .
 This package includes systemd timers that check for events and send reminders
 once a daily.
 .
 The systemd timers use Persistent=true to ensure reminders are sent even if
 the computer was turned off at the scheduled time.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export GO111MODULE=on

%:
	dh $@ --with=golang --with=python3

override_dh_installdeb:
	dh_installsysusers
	dh_installdeb

override_dh_dwz:
	# Go binaries have compressed debug sections that dwz cannot handle

=== debian/watch ===
Version: 5

Source: https://launchpad.net/email-reminder/+download
Matching-Pattern: https://launchpad.net/email-reminder/trunk/.*/\+download/email-reminder-(.*)\.tar\.gz
Pgp-Sig-Url-Mangle: s/$/.asc/
